Bug 1769411 (CVE-2019-14894)

Summary: CVE-2019-14894 CloudForms: RCE vulnerability in NFS schedule backup
Product: [Other] Security Response Reporter: Yadnyawalk Tale <ytale>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: dajohnso, dmetzger, gblomqui, gmccullo, gtanzill, jfrey, jhardy, kdixon, obarenbo, roliveri, security-response-team, simaishi, smallamp
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the CloudForms management engine, which triggered remote code execution through NFS schedule backup. An attacker logged into the management console could use this flaw to execute arbitrary shell commands on the CloudForms server as root.
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-02-25 09:49:35 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1775128, 1775129, 1775130, 1783202    
Bug Blocks: 1765352    

Description Yadnyawalk Tale 2019-11-06 15:09:35 UTC
A flaw was found in the CloudForms management engine which will trigger remote code execution through NFS schedule backup. An attacker could use this flaw to execute arbitrary shell commands on CloudForms server as root.

Comment 3 Yadnyawalk Tale 2019-11-19 14:43:37 UTC
Acknowledgments:

Name: Jaroslav Henner (Red Hat)

Comment 6 errata-xmlrpc 2020-02-25 05:37:35 UTC
This issue has been addressed in the following products:

  CloudForms Management Engine 5.11

Via RHSA-2020:0588 https://access.redhat.com/errata/RHSA-2020:0588

Comment 7 errata-xmlrpc 2020-02-25 05:39:22 UTC
This issue has been addressed in the following products:

  CloudForms Management Engine 5.10

Via RHSA-2020:0589 https://access.redhat.com/errata/RHSA-2020:0589

Comment 8 Product Security DevOps Team 2020-02-25 09:49:35 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-14894